import tools from '@/tools/tools.js'
import store from '../store'
let baseUrl = ""
const httpRequest = (url, method = "get", data) => {
	let httpDefaultOpts = {
		url: baseUrl + url,
		data: data,
		method: method,
		header: {
			'Authorization': "Bearer " + uni.getStorageSync('token'),
			'X-Authorization': "Bearer " + uni.getStorageSync('refreshtoken'),
			'X-Requested-With': 'XMLHttpRequest',
			'content-type': 'application/json;charset=UTF-8',
		},
	}
	let promise = new Promise(function(resolve, reject) {
		uni.request(httpDefaultOpts).then(
			(res) => {
				uni.hideLoading()
				if (res[1].data.code == 401) {
					uni.clearStorageSync()
					uni.setStorageSync('token', null)
					uni.setStorageSync('refreshtoken', null)
					tools.msg(res[1].data.message)
					setTimeout(function() {
						uni.reLaunch({
							url: "/pages/login/login"
						})
					}, 2000)
					return
				}
				if (res[1].statusCode != 200) {
					tools.msg(res[1].data.message)
					return
				}
				resolve(res[1].data)
			}
		).catch(
			(response) => {
				uni.hideLoading()
				reject(response)
			}
		)
	})
	return promise

};
const get = (url, data) => {
	// data.appid = config.appid
	return httpRequest(url, 'get', data)
}

const post = (url, data) => {
	// data.appid = config.appid
	return httpRequest(url, 'post', data)
}
export default {
	baseUrl,
	get,
	post
}